<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.20.1.final using JasperReports Library version 6.20.1-7584acb244139816654f64e2fd57a00d3e31921e  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="Faktur CV Sicma Potrait FINAL" pageWidth="612" pageHeight="396" columnWidth="612" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="5cc2bd82-078f-474d-bbcf-6aa9cb78c656">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
	<style name="Table_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<subDataset name="Item" uuid="49e34a14-0632-4ac0-94cc-deca50cdba17">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
		<parameter name="invoicId" class="java.lang.String"/>
		<queryString language="SQL">
			<![CDATA[SELECT tbinvoiceitem.unitprice,
	tbinvoiceitem.amount,
	tbinvoiceitem.quantity,
	tbinvoiceitem.taxrate,
	tbinvoiceitem.weight,
	tbinvoiceitem.id,
	tbinvoiceitem.ctn,
	tbinvoiceitem.kg,
	tbinvoiceitem.alternative_name,
	tbproduct.name,
	tbproduct.unit_id,
	tbproduct.sale_price,
	tbproduct.is_raw_material,
	tbmasterunit.name AS unitmeanstrument,
	tbproductweight.name AS name_weight,
	tbpackagingtype.id AS idpacking
FROM tbinvoice
	inner join tbinvoiceitem ON 
	 tbinvoice.id = tbinvoiceitem.invoice 
	inner join tbproduct ON 
	 tbproduct.id = tbinvoiceitem.product 
	inner join tbmasterunit ON 
	 tbproduct.unit_id = tbmasterunit.id 
	  inner join tbproductweight ON
	 tbproduct.product_weight_id = tbproductweight.id
	 left join tbpackagingtype ON tbpackagingtype.id = tbproduct.packaging_type_id
WHERE 
	 tbinvoice.id = $P{invoicId}
	 ORDER BY
	 tbinvoiceitem.id]]>
		</queryString>
		<field name="unitprice" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="unitprice"/>
			<property name="com.jaspersoft.studio.field.label" value="unitprice"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="amount" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="amount"/>
			<property name="com.jaspersoft.studio.field.label" value="amount"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="quantity" class="java.lang.Integer">
			<property name="com.jaspersoft.studio.field.name" value="quantity"/>
			<property name="com.jaspersoft.studio.field.label" value="quantity"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="taxrate" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="taxrate"/>
			<property name="com.jaspersoft.studio.field.label" value="taxrate"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="weight" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="weight"/>
			<property name="com.jaspersoft.studio.field.label" value="weight"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="id" class="java.lang.Long">
			<property name="com.jaspersoft.studio.field.name" value="id"/>
			<property name="com.jaspersoft.studio.field.label" value="id"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		</field>
		<field name="ctn" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="ctn"/>
			<property name="com.jaspersoft.studio.field.label" value="ctn"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		</field>
		<field name="kg" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="kg"/>
			<property name="com.jaspersoft.studio.field.label" value="kg"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		</field>
		<field name="alternative_name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="alternative_name"/>
			<property name="com.jaspersoft.studio.field.label" value="alternative_name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		</field>
		<field name="name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="unit_id" class="java.lang.Long">
			<property name="com.jaspersoft.studio.field.name" value="unit_id"/>
			<property name="com.jaspersoft.studio.field.label" value="unit_id"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="sale_price" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="sale_price"/>
			<property name="com.jaspersoft.studio.field.label" value="sale_price"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="is_raw_material" class="java.lang.Boolean">
			<property name="com.jaspersoft.studio.field.name" value="is_raw_material"/>
			<property name="com.jaspersoft.studio.field.label" value="is_raw_material"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
		</field>
		<field name="unitmeanstrument" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="unitmeanstrument"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterunit"/>
		</field>
		<field name="name_weight" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="name_weight"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproductweight"/>
		</field>
		<field name="idpacking" class="java.lang.Long">
			<property name="com.jaspersoft.studio.field.name" value="id"/>
			<property name="com.jaspersoft.studio.field.label" value="idpacking"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbpackagingtype"/>
		</field>
		<group name="quantity">
			<groupExpression><![CDATA[$F{quantity}]]></groupExpression>
		</group>
	</subDataset>
	<subDataset name="TotalPPn" uuid="44841df5-c980-43c7-b41d-c452d3c2706c">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
		<parameter name="invoicId" class="java.lang.String"/>
		<queryString language="SQL">
			<![CDATA[select gst from tbinvoice where tbinvoice.id= $P{invoicId}]]>
		</queryString>
		<field name="gst" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="gst"/>
			<property name="com.jaspersoft.studio.field.label" value="gst"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
	</subDataset>
	<subDataset name="ppn" uuid="6cac3bd4-40c4-4bf8-ab7b-d5a7bcf13c88">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
		<queryString language="SQL">
			<![CDATA[select value from tbsysprop where name = "default.taxpercent"]]>
		</queryString>
		<field name="value" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="value"/>
			<property name="com.jaspersoft.studio.field.label" value="value"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbsysprop"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
	</subDataset>
	<parameter name="idInvoice" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT tbinvoice.invoicedate,
	tbinvoice.reference,
	tbinvoice.monthly_sequence,
	tbinvoice.description,
	tbinvoice.subtotal,
	tbinvoice.id,
	tbinvoice.total,
	tbinvoice.invoicecode,
	tbinvoice.delivery_charge,
	tbinvoice.last_modified_by,
	tbmasterorganisation.id AS Organisation_id,
	tbmasterorganisation.name,
	tbmasterorganisation.address_line_1,
	tbmasterorganisation.address_line_2,
	tbmasterorganisation.phone,
	tbmasterorganisation.fax,
	bank_name,
	bank_acct_number,
	bank_acct_holder,
	tbinvoice.discount,
	tbcustomer.enable_tax,
	tbcustomer.npwpcompanyname,
	tbcustomer.name AS customername,
	tbcustomer.company_name AS customercompanyname,
	tbcustomer.deliveryaddress as deliveryaddress
FROM tbinvoice
	inner join tbcustomer ON 
	 tbinvoice.customer = tbcustomer.id 
	inner join tbmasterorganisation ON 
	 tbcustomer.organisation_id = tbmasterorganisation.id 
WHERE 
	 tbinvoice.id = $P{idInvoice}]]>
	</queryString>
	<field name="invoicedate" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.name" value="invoicedate"/>
		<property name="com.jaspersoft.studio.field.label" value="invoicedate"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="reference" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="reference"/>
		<property name="com.jaspersoft.studio.field.label" value="reference"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="monthly_sequence" class="java.lang.Long">
		<property name="com.jaspersoft.studio.field.name" value="monthly_sequence"/>
		<property name="com.jaspersoft.studio.field.label" value="monthly_sequence"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="description" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="description"/>
		<property name="com.jaspersoft.studio.field.label" value="description"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="subtotal" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="subtotal"/>
		<property name="com.jaspersoft.studio.field.label" value="subtotal"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="id" class="java.lang.Long">
		<property name="com.jaspersoft.studio.field.name" value="id"/>
		<property name="com.jaspersoft.studio.field.label" value="id"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="total" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="total"/>
		<property name="com.jaspersoft.studio.field.label" value="total"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="invoicecode" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="invoicecode"/>
		<property name="com.jaspersoft.studio.field.label" value="invoicecode"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="delivery_charge" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="delivery_charge"/>
		<property name="com.jaspersoft.studio.field.label" value="delivery_charge"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="last_modified_by" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="last_modified_by"/>
		<property name="com.jaspersoft.studio.field.label" value="last_modified_by"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
	</field>
	<field name="Organisation_id" class="java.lang.Long">
		<property name="com.jaspersoft.studio.field.name" value="id"/>
		<property name="com.jaspersoft.studio.field.label" value="Organisation_id"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
	</field>
	<field name="name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="address_line_1" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="address_line_1"/>
		<property name="com.jaspersoft.studio.field.label" value="address_line_1"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="address_line_2" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="address_line_2"/>
		<property name="com.jaspersoft.studio.field.label" value="address_line_2"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="phone" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="phone"/>
		<property name="com.jaspersoft.studio.field.label" value="phone"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="fax" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="fax"/>
		<property name="com.jaspersoft.studio.field.label" value="fax"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="bank_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="bank_name"/>
		<property name="com.jaspersoft.studio.field.label" value="bank_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="bank_acct_number" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="bank_acct_number"/>
		<property name="com.jaspersoft.studio.field.label" value="bank_acct_number"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="bank_acct_holder" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="bank_acct_holder"/>
		<property name="com.jaspersoft.studio.field.label" value="bank_acct_holder"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="discount" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="discount"/>
		<property name="com.jaspersoft.studio.field.label" value="discount"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="enable_tax" class="java.lang.Boolean">
		<property name="com.jaspersoft.studio.field.name" value="enable_tax"/>
		<property name="com.jaspersoft.studio.field.label" value="enable_tax"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="npwpcompanyname" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="npwpcompanyname"/>
		<property name="com.jaspersoft.studio.field.label" value="npwpcompanyname"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="customername" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="customername"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="customercompanyname" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="company_name"/>
		<property name="com.jaspersoft.studio.field.label" value="customercompanyname"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="deliveryaddress" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="deliveryaddress"/>
		<property name="com.jaspersoft.studio.field.label" value="deliveryaddress"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<variable name="subtotal_SUM" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{subtotal}]]></variableExpression>
	</variable>
	<variable name="isPPn" class="java.lang.Boolean">
		<variableExpression><![CDATA[$F{enable_tax}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="55" splitType="Stretch">
			<textField>
				<reportElement x="10" y="13" width="589" height="15" uuid="1041b8bf-b079-4d9a-9b11-940e62111713"/>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="DejaVu Sans" size="11" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{name}.toUpperCase()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="28" width="601" height="16" uuid="caf9ede0-be28-4ef1-ab37-6896722c95fd"/>
				<textElement textAlignment="Center">
					<font fontName="DejaVu Sans" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{address_line_1}.toUpperCase()]]></textFieldExpression>
			</textField>
			<line>
				<reportElement positionType="Float" x="9" y="45" width="596" height="1" uuid="682ca0ce-023e-4cdc-aff5-2db6a767f5bf">
					<property name="local_mesure_unitheight" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
			</line>
		</band>
	</title>
	<pageHeader>
		<band height="65" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<staticText>
				<reportElement x="111" y="9" width="7" height="16" uuid="b479a3fa-f53c-4fa5-9b63-6314a1a41c0f">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<textField>
				<reportElement x="383" y="6" width="218" height="14" uuid="b15eb222-236a-47f1-9f6a-4048addb524f"/>
				<textElement>
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{customercompanyname}.equals("") ? $F{customername} : $F{customercompanyname}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="191" y="-7" width="190" height="13" uuid="e4a654f4-93a2-4759-be0b-d2af56defc3c">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="SansSerif" size="10" isBold="true" isItalic="false"/>
				</textElement>
				<text><![CDATA[SURAT JALAN]]></text>
			</staticText>
			<staticText>
				<reportElement x="9" y="9" width="101" height="16" uuid="0e10061e-3c58-41f8-accd-cea62f4bece8"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Tanggal Surat Jalan]]></text>
			</staticText>
			<textField>
				<reportElement x="118" y="27" width="263" height="16" uuid="6987e423-dac1-4ce9-a210-795fc9014ae2"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{invoicecode}.toUpperCase()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="383" y="-8" width="49" height="13" uuid="ffd2ca10-feb4-4b9b-b2e1-729f480a710a">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Kepada :]]></text>
			</staticText>
			<staticText>
				<reportElement x="9" y="27" width="101" height="16" uuid="a311a5f3-8974-4eba-bb3a-29b757db7644"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[No Surat Jalan ]]></text>
			</staticText>
			<staticText>
				<reportElement x="111" y="27" width="7" height="16" uuid="17d4f599-6164-45eb-93ab-b064a96db1f8">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<textField pattern="dd-MM-YYYY">
				<reportElement x="118" y="9" width="116" height="16" uuid="394d88da-2e68-4032-9d2f-70f2aa8324c7"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("dd MMMM yyyy", new java.util.Locale("id")).format($F{invoicedate})]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="383" y="34" width="216" height="31" uuid="e3457bf5-be35-44a5-9783-ec6ca9f78b8b"/>
				<textElement>
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{deliveryaddress}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="118" y="44" width="263" height="16" uuid="d7aed7a6-b62e-458f-9072-92f68c2e96c5"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{reference}.toUpperCase()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="111" y="44" width="7" height="16" uuid="6cdfd5f0-b438-409c-a7fa-29547bd0caab">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="9" y="44" width="101" height="16" uuid="dc520f94-f60c-49a8-a365-633f370e01b9"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[No PO]]></text>
			</staticText>
			<textField>
				<reportElement x="383" y="20" width="217" height="14" uuid="85143383-1998-4f4d-8a50-d68d49c71668"/>
				<textElement>
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["( " + $F{customername} + " )"]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<detail>
		<band height="150" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<textField>
				<reportElement x="10" y="0" width="23" height="20" uuid="13a40921-7687-436a-9d44-8272ec56e597"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["No."]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="33" y="0" width="408" height="20" uuid="8decd137-4d59-4429-adec-51f4b129ac80"/>
				<box>
					<topPen lineWidth="1.25" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.25" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.25" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.25" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Nama Barang"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="441" y="0" width="88" height="20" uuid="46050636-6e23-4e5e-8760-5a471a4adba0"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Kemasan"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="529" y="0" width="75" height="20" uuid="39d8ffb9-88f4-4de5-9354-a116964debe3"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Berat"]]></textFieldExpression>
			</textField>
			<componentElement>
				<reportElement x="11" y="21" width="22" height="15" uuid="a42f6c8b-fbcd-4e1f-b229-a1c812b402bb"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="24e6778d-0fa8-4622-b4e4-b92bd5ad4fa0">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{idInvoice}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="15" width="22">
						<textField>
							<reportElement x="0" y="0" width="22" height="15" uuid="70ec981b-87d6-4f90-943c-30174eb45d28"/>
							<box topPadding="0" leftPadding="0"/>
							<textElement textAlignment="Center" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$V{COLUMN_COUNT}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<componentElement>
				<reportElement x="34" y="22" width="407" height="15" uuid="41dade62-41e9-49ef-8950-e2349bdf62ca"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="480ffd1c-7496-4b77-a1c5-3fca360eae21">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{idInvoice}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="15" width="407">
						<textField>
							<reportElement x="0" y="0" width="407" height="15" uuid="23a89833-f050-4bb0-8345-407f8c20fa5b"/>
							<box topPadding="0" leftPadding="2"/>
							<textElement verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{alternative_name} !=null ?  $F{is_raw_material} == true ? $F{alternative_name}.replace("[", "").replace("]", "") : $F{alternative_name}.replace("[PACK]", "").replace("KG", "") : $F{name}.toUpperCase()]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<componentElement>
				<reportElement x="530" y="22" width="73" height="15" uuid="e10b25bf-7a98-4ee3-8d13-3ae992af418d"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="92635907-06a8-4a09-a230-19bd28e51fc2">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{idInvoice}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="15" width="73">
						<textField>
							<reportElement x="0" y="0" width="73" height="15" uuid="8d687fa4-d62b-4284-9752-8bcb6b02f19a"/>
							<box rightPadding="4"/>
							<textElement textAlignment="Right" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{kg}.equals("") || $F{kg} == null ? $F{is_raw_material} == true ? new DecimalFormat("#,##0.00").format($F{weight}) + "  KG": $F{weight}.divide(BigDecimal.valueOf($F{quantity})).compareTo(BigDecimal.valueOf(0.9999)) < 0.9999 ?  $F{kg} : new DecimalFormat("#,##0").format($F{weight}) + " KG" : $F{kg}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<componentElement>
				<reportElement x="443" y="22" width="85" height="15" uuid="b3a53b0e-cc56-42b5-8b39-704a6caf5dad"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="80079333-8802-48b4-ad73-61149b09bf36">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{idInvoice}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="15" width="85">
						<textField pattern="#,##0.###;(#,##0.###-)">
							<reportElement x="0" y="0" width="40" height="15" uuid="45b22b80-6749-4011-959f-978d55d6d259"/>
							<textElement textAlignment="Right" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{ctn} == null || $F{ctn}.isEmpty() ? $F{quantity} :  $F{ctn}.replaceAll("[a-zA-Z]", "")]]></textFieldExpression>
						</textField>
						<textField>
							<reportElement x="40" y="0" width="45" height="15" uuid="bf946611-8525-4a66-a52c-9edef7c047e6"/>
							<box leftPadding="6"/>
							<textElement textAlignment="Left" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{ctn} == null || $F{ctn}.isEmpty() ? $F{unitmeanstrument}.equals("PACK") ?  "PACK" :  $F{unitmeanstrument}.equals("WHOLE") ? "PCS" : $F{unitmeanstrument} : $F{ctn}.replaceAll("[0-9]", "")]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<line>
				<reportElement x="10" y="20" width="1" height="129" uuid="c9e34846-8d3e-42ab-adb9-9877c92d94d5"/>
			</line>
			<line>
				<reportElement x="33" y="20" width="1" height="129" uuid="19340de5-4b01-4e5e-9ad1-8752bd6991c0"/>
			</line>
			<line>
				<reportElement x="441" y="20" width="1" height="129" uuid="bcb0a19a-813b-49b0-ab1a-1d7eb8136089"/>
			</line>
			<line>
				<reportElement x="529" y="20" width="1" height="129" uuid="89da4644-5ec3-4083-97f8-a88e97934d47"/>
			</line>
			<line>
				<reportElement x="604" y="20" width="1" height="129" uuid="153adef8-e64b-446d-bca9-5c0e1b37e8e6"/>
			</line>
			<line>
				<reportElement x="11" y="149" width="594" height="1" uuid="32334538-f811-4e84-95bd-d52315d3fdda"/>
			</line>
		</band>
	</detail>
	<pageFooter>
		<band height="121">
			<textField>
				<reportElement x="468" y="3" width="144" height="15" uuid="95deab30-aba2-456b-b2e0-e17c56d72c49"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Hormat Kami"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="290" y="3" width="154" height="15" uuid="11037ac4-f868-44a2-8d62-71357abc9a28"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Yang Menerima "]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
</jasperReport>
